IANAObjectIdentifiers (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.asn1.iana

## Interface IANAObjectIdentifiers

-     public interface IANAObjectIdentifiers

  IANA: { iso(1) identifier-organization(3) dod(6) internet(1) } == IETF defined things

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ASN1ObjectIdentifier` | `_private` 1.3.6.1.4:
    `static ASN1ObjectIdentifier` | `directory` 1.3.6.1.1: Internet directory: X.500
    `static ASN1ObjectIdentifier` | `experimental` 1.3.6.1.3:
    `static ASN1ObjectIdentifier` | `hmacMD5` IPSEC ISAKMP-Oakley hmacMD5 OID: 1.3.6.1.5.5.8.1.1
    `static ASN1ObjectIdentifier` | `hmacRIPEMD160` IPSEC ISAKMP-Oakley hmacRIPEMD160 OID: 1.3.6.1.5.5.8.1.4
    `static ASN1ObjectIdentifier` | `hmacSHA1` IPSEC ISAKMP-Oakley hmacSHA1 OID: 1.3.6.1.5.5.8.1.2
    `static ASN1ObjectIdentifier` | `hmacTIGER` IPSEC ISAKMP-Oakley hmacTIGER OID: 1.3.6.1.5.5.8.1.3
    `static ASN1ObjectIdentifier` | `internet` { iso(1) identifier-organization(3) dod(6) internet(1) } == IETF defined things
    `static ASN1ObjectIdentifier` | `ipsec` IPSEC base OID: 1.3.6.1.5.5.8
    `static ASN1ObjectIdentifier` | `isakmpOakley` IPSEC ISAKMP-Oakley OID: 1.3.6.1.5.5.8.1
    `static ASN1ObjectIdentifier` | `mail` 1.3.6.1.7: mail -- never really used
    `static ASN1ObjectIdentifier` | `mgmt` 1.3.6.1.2: Internet management
    `static ASN1ObjectIdentifier` | `pkix` PKIX base OID: 1.3.6.1.5.6.6
    `static ASN1ObjectIdentifier` | `security` 1.3.6.1.5: Security services
    `static ASN1ObjectIdentifier` | `security_mechanisms` IANA security mechanisms; 1.3.6.1.5.5
    `static ASN1ObjectIdentifier` | `security_nametypes` IANA security nametypes; 1.3.6.1.5.6
    `static ASN1ObjectIdentifier` | `SNMPv2` 1.3.6.1.6: SNMPv2 -- never really used

- - ### Field Detail

    - #### internet

          static final ASN1ObjectIdentifier internet

      { iso(1) identifier-organization(3) dod(6) internet(1) } == IETF defined things

    - #### directory

          static final ASN1ObjectIdentifier directory

      1.3.6.1.1: Internet directory: X.500

    - #### mgmt

          static final ASN1ObjectIdentifier mgmt

      1.3.6.1.2: Internet management

    - #### experimental

          static final ASN1ObjectIdentifier experimental

      1.3.6.1.3:

    - #### _private

          static final ASN1ObjectIdentifier _private

      1.3.6.1.4:

    - #### security

          static final ASN1ObjectIdentifier security

      1.3.6.1.5: Security services

    - #### SNMPv2

          static final ASN1ObjectIdentifier SNMPv2

      1.3.6.1.6: SNMPv2 -- never really used

    - #### mail

          static final ASN1ObjectIdentifier mail

      1.3.6.1.7: mail -- never really used

    - #### security_mechanisms

          static final ASN1ObjectIdentifier security_mechanisms

      IANA security mechanisms; 1.3.6.1.5.5

    - #### security_nametypes

          static final ASN1ObjectIdentifier security_nametypes

      IANA security nametypes; 1.3.6.1.5.6

    - #### pkix

          static final ASN1ObjectIdentifier pkix

      PKIX base OID: 1.3.6.1.5.6.6

    - #### ipsec

          static final ASN1ObjectIdentifier ipsec

      IPSEC base OID: 1.3.6.1.5.5.8

    - #### isakmpOakley

          static final ASN1ObjectIdentifier isakmpOakley

      IPSEC ISAKMP-Oakley OID: 1.3.6.1.5.5.8.1

    - #### hmacMD5

          static final ASN1ObjectIdentifier hmacMD5

      IPSEC ISAKMP-Oakley hmacMD5 OID: 1.3.6.1.5.5.8.1.1

    - #### hmacSHA1

          static final ASN1ObjectIdentifier hmacSHA1

      IPSEC ISAKMP-Oakley hmacSHA1 OID: 1.3.6.1.5.5.8.1.2

    - #### hmacTIGER

          static final ASN1ObjectIdentifier hmacTIGER

      IPSEC ISAKMP-Oakley hmacTIGER OID: 1.3.6.1.5.5.8.1.3

    - #### hmacRIPEMD160

          static final ASN1ObjectIdentifier hmacRIPEMD160

      IPSEC ISAKMP-Oakley hmacRIPEMD160 OID: 1.3.6.1.5.5.8.1.4